<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">  
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <title>Stand - A Very Simple POP3 Client</title>
    <link rel="stylesheet" type="text/css" href="../../random/style.css" title="mainstyle">
  </head>

  <body>

    <div class="photo-floating-right">
      <a href="http://www.flickr.com/photos/liz/7603729/">
        <img src="http://farm1.static.flickr.com/5/7603729_b257eaf8ba_t_d.jpg"
        alt="An excellent music stand photo taken by Liz Lawley" title="A
        excellent stand found on Flickr. (Photo taken by Liz Lawley.)">
      </a>
    </div>


<h2><a name="stand">Stand - A Very Simple POP3 Client</a></h2>

<h3><a
href="http://repo.or.cz/w/stand.git?a=blob_plain;f=stand;hb=version-0.96">Download
version 0.96</a></h3>

<p>
This is a small Ruby script for fetching mail from POP3 servers
and delivering them to some LDA (Local Delivery Agent, typically
<a href="http://www.procmail.org/">procmail</a>,
although <a href="http://rrt.sc3d.org/">Reuben</a>
recommends <a href="http://www.courier-mta.org/maildrop/">maildrop</a>).
It does APOP authentication, SSL/TLS-wrapped POP3 and UIDL
caching.</p>

<p>
If you're using Debian, it depends on the following packages:
</p>
<ul>
<li>ruby1.9.1</li>
<li>libruby1.9.1</li>
<li>libopenssl-ruby1.9.1</li>
<li>libsqlite3-ruby1.9.1</li>
</ul>

<p>I used nothing but the original script for dealing with my
email for some years, but this is a brand new version based
largely on the work of <a href="http://rrt.sc3d.org">Reuben
Thomas</a>, who kindly took an interest in it.  As as result the
code is now less than a third of its original size.
</p>

<p>By default, stand deletes each message once it has been
successfully delivered to the LDA so use a reliable LDA (such as
procmail or maildrop) or you could easily lose mail.</p>

<p>
stand uses a YAML configuration file called
<tt>~/.stand.yaml</tt> that looks like this:
</p>

<pre>
# Comments start with `#'; leave a blank line between each
# account's details.  The Host, User and Pass lines are
# required.  Command defaults to "procmail -f-".

# For testing tpop3d:

-
  Host: localhost
  User: a@b.c
  Pass: not-my-password
  Command: procmail -f-
  APOP: yes

-
  Host: secure.mythic-beasts.com
  SSL: yes
  User: mark
  Pass: not-my-password-either
  Command: procmail -f-

-
  Host: pop.clara.net
  User: mark.longair
  Pass: something-else
  Command: procmail -f-
</pre>

<p>
The usage message (and the script itself) should tell you
anything else you need to know.
</p>

<p>Please bear in mind that it's quite possible that there may
be bugs in these scripts that will cause you to lose mail; use
this at your own risk.  You can download
the <a href="http://repo.or.cz/w/stand.git?a=blob_plain;f=stand;hb=version-0.96">
most recent version (currently 0.96) here</a> or from the link at
the top of the page.  stand is released under the <a href="COPYING">GNU General
Public License version 3.</a>
</p>

<h4>Version Control</h4>

<p>The source code for stand is now maintained in
a <a href="http://repo.or.cz/w/stand.git">git repository at
repo.or.cz</a>.</p>

<div class="footer">
<hr>
<p>
Mark Longair - <a
href="mailto:mark-software@mythic-beasts.com">bugs or
suggestions?</a> (<a
href="http://validator.w3.org/check/referer">validate HTML</a> |
<a
href="http://jigsaw.w3.org/css-validator/check/referer">validate
CSS</a>)
  </p>
  </div>

</body>

</html>
